Page MenuHomePhabricator

Can't delete route-map rule with comm-list
Closed, ResolvedPublicBUG

Description

I'm unable to delete a route-map rule that has a comm-list delete defined. Deleting either the entire rule or just the set comm-list throws an error.

The route-map rule looks as follows:

vyos@r1# show | compare
[edit policy]
-route-map test-route-map {
-    rule 1 {
-        action permit
-        set {
-            comm-list {
-                comm-list 4
-                delete
-            }
-        }
-    }
-}

This results in the following error:

vyos@r1# commit
[ policy route-map test-route-map rule 1 set comm-list ]
You must configure a comm-list

delete [ policy route-map test-route-map ] failed
Commit failed
[edit]

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rc11
Why the issue appeared?
Will be filled on close

Event Timeline

pasik added a subscriber: pasik.Dec 20 2018, 12:24 PM
syncer assigned this task to dmbaturin.Dec 21 2018, 10:23 AM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.2 Crux ( VyOS 1.2.0-EPA); removed VyOS 1.2 Crux.

@m.cremers The fix will be in the next nightly build, please re-test.

m.cremers added a comment.EditedDec 26 2018, 12:18 PM

Thanks for the fix @dmbaturin! At what time will the next nightly be build?

syncer closed this task as Resolved.Jan 27 2019, 4:22 AM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-EPA3) board.